package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.OrderRepair;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.OrderRepairMapper")
public interface OrderRepairMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(OrderRepair record);

    OrderRepair selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(OrderRepair record);

    List<OrderRepair> queryAllOrderRepair(OrderRepair record);

    List<OrderRepair> queryOrderRepairByPage(Map<String, Object> parameter);

    int delete(String id);

    OrderRepair queryOrderRepair(OrderRepair record);

    List<OrderRepair> query(OrderRepair record);

    int repairByOrderId(OrderRepair orderRepair);
}

